Package org.apache.maven.scm.command.blame

## Class BlameScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.blame.BlameScmResult

All Implemented Interfaces:
  `java.io.Serializable`

    public class BlameScmResult
    extends ScmResult

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`BlameScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`BlameScmResult​(java.lang.String commandLine, java.util.List<BlameLine> lines)`
`BlameScmResult​(java.util.List<BlameLine> lines, ScmResult scmResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<BlameLine>` `getLines()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlameScmResult

    public BlameScmResult​(java.lang.String commandLine,
                          java.util.List<BlameLine> lines)

#### BlameScmResult

    public BlameScmResult​(java.lang.String commandLine,
                          java.lang.String providerMessage,
                          java.lang.String commandOutput,
                          boolean success)

#### BlameScmResult

    public BlameScmResult​(java.util.List<BlameLine> lines,
                          ScmResult scmResult)

### Method Detail

#### getLines

    public java.util.List<BlameLine> getLines()